import Vue from 'vue'
import App from './App'
//引入element-ui组件
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-default/index.css'
import VueRouter from 'vue-router'
import routes from './router/index'
import Mock from './mock'
Mock.bootstrap();





Vue.use(ElementUI);
Vue.use(VueRouter);

const router = new VueRouter({
  mode: 'history',
  routes
})

// 实例化vue
new Vue({
  router,
  // store,//vuex 提供的
  render: h => h(App)
}).$mount('#app')    //手动地挂载一个未挂载的实例(#app)
