/**
 * desc: 路由配置
 */


import table from '../views/nav1/table.vue'

let routes = [
    {
        path: '/',
        component: table,
        name: '',
        iconCls: 'fa fa-id-card-o',
        leaf: true,//只有一个节点
        children: [
            {
                path: '/page1', component: table, name: '导航111'
            }
        ]
    },
    //若均为匹配，则提示404
    {
        path: '*',
        hidden: true,
        redirect: {
            path: '404'
        }
    }
];

export default routes;